window.onload = function () {
	
	//window.self!==window.top&&(window.top.location=window.self.location);//Avoid iframes
        setInterval(updateAll,1000);
        var visibilityBool={};
        var webAppsLoaded=false,searchEnginesLoaded=false,socialEnginesLoaded=false;
        
        $("#buttonSendCommunityMessage").click(function(){
		sendCommunityMessage();
	});
        
        $("#buttonReportCommunityMessages").click(function(){
		reportCommunityMessages();
	});
        
        $("#messacomu,#nickcomu").keypress(function(tecla){
		if (tecla.which === 13) {
                    sendCommunityMessage();
		}
	});
        
        $("#searchTerm").keyup(function(){
		generateSearchEngines();
	});
        
        $("#nameTextSocialShare").keyup(function(){
		updateSocialShare();
	});
        
        $("#linkTextSocialShare").keyup(function(){
		updateSocialShare();
	});
        $("[id^='showHide']").click(function(){
                var nombre=$(this).attr('id').replace('showHide','');
                visibilityBool[nombre]= !visibilityBool[nombre];
		$("#"+nombre).toggle("blind");
	});
        
        function updateSocialShare(){
            var nombre=$("#nameTextSocialShare").val().replace("<","").replace(">","");
            var link=$("#linkTextSocialShare").val().replace("<","").replace(">","");
            if(nombre===""){
                nombre="example";
            }
            if(link===""){
                link="http://example.com";
            }
            
            if(!link.contains("http") && !link.contains("https")){ link="http://"+link; }
            $("#nameSocialShare").html(nombre);
            $("#linkSocialShare").attr("href","https://feeldweb-davidgarcia.rhcloud.com/page/socialsharing/"+nombre+"&feelDweb="+link);
            
            $("#twitterShare").attr("href","https://twitter.com/intent/tweet?original_referer=https://feeldweb-davidgarcia.rhcloud.com/&text="+nombre+"&tw_p=tweetbutton&url="+link+"&via=feelDweb_Online");
            $("#facebookShare").attr("href","https://www.facebook.com/login.php?next=https%3A%3F%3Fwww.facebook.com%3Fsharer%3Fsharer.php%3Fsrc%3Dbm%26u%3D"+link+"%26t%3D"+nombre+"%26v%3D3&display=popup");
            $("#googleplusShare").attr("href","https://accounts.google.com/ServiceLogin?service=oz&passive=1209600&continue=https://plus.google.com/share?url%3D"+link+"%26gpsrc%3Dframeless&btmpl=popup");
            $("#linkedinShare").attr("href","https://www.linkedin.com/reg/join?trk=login_reg_redirect&session_redirect=http%3A%3F%3Fwww.linkedin.com%3FpostLogin%3Fsession_rikey%3Df3UbNyAYM1lHBFRJIjjeSgbHT3W2p-pHoIaQGdhHTd0J3NWZp8SOSOcgT3axzSw2bTl7-O31jT2ISrxmOtArOdjER9uhInRfVlg%26l%3Dhttp%253A%252F%252Fwww%252Elinkedin%252Ecom%252FshareArticle%253Fsummary%253D"+nombre+"%2526title%253D%2526mini%253Dtrue%2526url%253D"+link+"%3DGET");
            $("#bloggerShare").attr("href","https://accounts.google.com/ServiceLogin?service=blogger&hl=es&ltmpl=popup&continue=http://www.blogger.com/start?successUrl%3D/blog-this.g?t%2526u%253D"+link+"m%2526l%2526n%253D"+nombre+"&passive=1209600");
            $("#gmailShare").attr("href","https://mail.google.com/mail/?ui=2&view=cm&fs=1&tf=1&su="+nombre+"&body="+nombre+":%20"+link);
            $("#hotmailShare").attr("href","https://dub113.mail.live.com/default.aspx?id=64855&rru=compose%3fsubject%3d"+nombre+"%26body%3d"+nombre+":%20"+link);
            $("#yahooShare").attr("href","https://login.yahoo.com/config/login_verify2?.intl=us&.src=ym&.done=https%3a%2f%2fcompose.mail.yahoo.com%2f%3fSubject%3d"+nombre+"%26body%3d"+link);
            $("#whatsappShare").attr("href","whatsapp://send?text="+nombre+"%29%20"+link);
            $("#tumblrShare").attr("href","https://www.tumblr.com/login?share_redirect_to=%3Fshare%3Flink%3Furl%3D"+link+"%26name%3D"+nombre+"%26description%3D");
            
            socialEnginesLoaded=true;
        }
        
        
        function generateWebApps(){
            
            $.ajax({
                url:   'https://feeldweb-davidgarcia.rhcloud.com/page/evolution/webapps',
                type: "POST",
                success:  function (response) {
                    $("#WebApps").html(response);
                    $("[id^='listApps']").click(function(){
                        var nombre=$(this).attr('id').replace('listApps','');
                        visibilityBool[nombre]= !visibilityBool[nombre];
                        $("#"+nombre).toggle("blind");
                    });
                    webAppsLoaded=true;
                }			    	        
            });
           
        };
        
        function generateSearchEngines(){
            
            $.ajax({
                url:   'https://feeldweb-davidgarcia.rhcloud.com/page/evolution/search',
                type: "POST",
                data: "searchTerm=" +$('#searchTerm').val(),
                success:  function (response) {
                    $("#SearchEngines").html(response);
                    searchEnginesLoaded=true;
                }			    	        
            });
           
        };
  
        function updateCommunity(){
            $.ajax({
                url:   'https://feeldweb-davidgarcia.rhcloud.com/page/evolution/communitymessages',
		type: "POST",
                success:  function (response) {
                    $("#communityMessages").html(response);
							
                }
         });
           
        };

	function updateNews(){
            $.ajax({
                url:   'https://feeldweb-davidgarcia.rhcloud.com/page/evolution/news',
		type: "get",
                success:  function (response) {
                    $("#News").html(response);				
                }
         });
           
        };
        
        function reportCommunityMessages(){
            
            $.ajax({
                url:   'https://feeldweb-davidgarcia.rhcloud.com/page/evolution/reportcommunitymessages',
                type: "POST",
                success:  function (response) {		
                }			    	        
            });
            
        }
        
        function sendCommunityMessage(){
            $.ajax({
		
                type: "POST",
                data: "nickcomu=" +$('#nickcomu').val()+"&messacomu="+$('#messacomu').val(),
                url:   'https://feeldweb-davidgarcia.rhcloud.com/page/evolution/sendcommunitymessage',
                
                success:  function (response) {
                    $('#messacomu').val('');
                    updateCommunity();
                }			    	        
            });
            
        }
        
        function updateAll(){
            if(visibilityBool["Community"]){
                updateCommunity();
            }

	   if(visibilityBool["News"]){
                updateNews();
            }
   
            if(visibilityBool["WebApps"] && !webAppsLoaded){
               generateWebApps(); 
            }
            
            if(visibilityBool["Search"] && !searchEnginesLoaded){
               generateSearchEngines(); 
            }
            
            if(visibilityBool["SocialShare"] && !socialEnginesLoaded){
               updateSocialShare(); 
            }
        }
};